import { createRouter, createWebHistory, type RouteRecordRaw } from 'vue-router';

export const ROUTES = Object.freeze<RouteRecordRaw[]>([
  { path: '/:pathMatch(.*)*', redirect: '/home' },
  { path: '/home', component: () => import('@/home.vue') },
  // {
  //   path: '/',
  //   component: () => import('@layout/main.vue'),
  //   children: [
  //     { path: '', redirect: 'home' },
  //     { name: '首页', path: 'home', component: () => import('@/home.vue') },
  //     { name: '任务管理', path: 'task-management', component: () => import('@/home.vue') },
  //     { name: '车辆管理', path: 'vehicle-management', component: () => import('@/home.vue') },
  //     {
  //       name: '地图管理',
  //       path: 'map-management',
  //       meta: { standalone: true },
  //       component: () => import('@/map-management/scene-edit.vue'),
  //     },
  //     { name: '参数设置', path: 'parameter-setting', component: import('@/parameter-setting/index.vue') },
  //     {
  //       name: '调度仿真',
  //       path: 'scheduling-emulation',
  //       children: [
  //         {
  //           name: '调度模拟',
  //           path: 'scheduling-simulation',
  //           components: {
  //             default: () => import('@/scheduling-emulation/scheduling-simulation.vue'),
  //             toolbar: () => import('@common/map-switcher.vue'),
  //           },
  //         },
  //         {
  //           name: '车辆调试',
  //           path: 'vehicle-commissioning',
  //           component: () => import('@/scheduling-emulation/vehicle-commissioning.vue'),
  //         },
  //         {
  //           name: '场景测试',
  //           path: 'scenario-testing',
  //           component: () => import('@/scheduling-emulation/scenario-testing.vue'),
  //         },
  //       ],
  //     },
  //     { name: '告警管理', path: 'alarm-management', component: () => import('@/home.vue') },
  //     { name: '日志管理', path: 'log-management', component: () => import('@/home.vue') },
  //   ],
  // },
]);

export const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: ROUTES,
});
